<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.help.FeedbackActivity">

    <include
        android:id="@+id/il_setting_feedback_bar"
        layout="@layout/layout_top_bar" />


    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_setting_feedback_scroll"
        style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_setting_feedback_layout"
            style="@style/root_layout_style"
            android:layout_marginHorizontal="@dimen/dp_16"
            android:layout_marginVertical="@dimen/dp_18"
            android:fitsSystemWindows="true"
            android:orientation="vertical">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_feedback_type"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_bold_font" />

            <RadioGroup
                android:id="@+id/radiogroup_setting_feedback_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_6"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatRadioButton
                    android:id="@+id/radiobutton_feedback_app_use"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_34"
                    android:background="@drawable/bg_feedback_shape"
                    android:button="@null"
                    android:gravity="center"
                    android:paddingHorizontal="@dimen/dp_18"
                    android:text="@string/txt_feedback_type_app"
                    android:textColor="@color/data_black_color"
                    android:textSize="@dimen/textSize12" />

                <androidx.appcompat.widget.AppCompatRadioButton
                    android:id="@+id/radiobutton_feedback_product_use"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_34"
                    android:layout_marginHorizontal="@dimen/dp_6"
                    android:background="@drawable/bg_feedback_shape"
                    android:button="@null"
                    android:gravity="center"
                    android:paddingHorizontal="@dimen/dp_18"
                    android:text="@string/txt_feedback_type_tracker"
                    android:textColor="@color/data_black_color"
                    android:textSize="@dimen/textSize12" />

                <androidx.appcompat.widget.AppCompatRadioButton
                    android:id="@+id/radiobutton_feedback_product_suggest"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_34"
                    android:background="@drawable/bg_feedback_shape"
                    android:button="@null"
                    android:gravity="center"
                    android:paddingHorizontal="@dimen/dp_18"
                    android:text="@string/txt_feedback_type_others"
                    android:textColor="@color/data_black_color"
                    android:textSize="@dimen/textSize12" />

            </RadioGroup>

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_feedback_tip"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_bold_font" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/ed_setting_feedback_content"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_150"
                android:layout_marginTop="@dimen/dp_4"
                android:background="@drawable/shape6_gray_border_white_bg"
                android:gravity="start"
                android:hint="@string/txt_type_message"
                android:padding="@dimen/dp_16"
                android:textColor="@color/black"
                android:textColorHint="@color/gray_color10"
                android:textSize="@dimen/textSize14" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginVertical="@dimen/dp_12"
                android:text="@string/acccount_img"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_bold_font" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_select_image_btn_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/shape10_feedback_dashed_gray_border_white_bg"
                android:gravity="center"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_feedback_choose_file_image"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/icon_upload_image_svg"
                    android:tint="@color/data_black_color" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_feedback_choose_file_title"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginVertical="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_8"
                    android:text="@string/txt_choose_file"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/setting_feedback_image_rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_12"
                android:nestedScrollingEnabled="false" />


            <include
                android:id="@+id/il_feedback_phone_layout"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_80" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_8"
                android:text="@string/txt_feedback_helps_us"
                android:textColor="@color/gray_color11"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceButton
                android:id="@+id/btn_submit_setting_feedback"
                style="@style/my_match_RoundRect_Button_style"
                android:layout_marginStart="@dimen/dp_1"
                android:layout_marginTop="@dimen/dp_50"
                android:layout_marginEnd="@dimen/dp_1"
                android:layout_marginBottom="@dimen/dp_2"
                android:text="@string/txt_send"
                app:qmui_radius="@dimen/dp_64"
                app:typeface="@string/roboto_bold_font" />
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>